aboutsummaryrefslogtreecommitdiffstats
path: root/main/curl/APKBUILD
diff options
context:
space:
mode:
authorDaniel Sabogal <dsabogalcc@gmail.com>2016-09-07 19:52:43 -0400
committerNatanael Copa <ncopa@alpinelinux.org>2016-09-08 19:09:19 +0000
commite74166949f3af736e8f6b5bfeab9d4af8a3eaf3a (patch)
treead82b0cc04de0ef566ab6f02f9f0a77e84bbb3cb /main/curl/APKBUILD
parentad14b14402712f7284e4f45b09069d9925745344 (diff)
downloadaports-e74166949f3af736e8f6b5bfeab9d4af8a3eaf3a.tar.gz
aports-e74166949f3af736e8f6b5bfeab9d4af8a3eaf3a.tar.bz2
aports-e74166949f3af736e8f6b5bfeab9d4af8a3eaf3a.tar.xz
main/curl: security upgrade to 7.50.2 (CVE-2016-7141)
Diffstat (limited to 'main/curl/APKBUILD')
-rw-r--r--main/curl/APKBUILD27
1 files changed, 10 insertions, 17 deletions
diff --git a/main/curl/APKBUILD b/main/curl/APKBUILD
index a43112f32e..d81ec1a7eb 100644
--- a/main/curl/APKBUILD
+++ b/main/curl/APKBUILD
@@ -2,7 +2,7 @@
# Contributor: Ɓukasz Jendrysik <scadu@yandex.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=curl
-pkgver=7.50.1
+pkgver=7.50.2
pkgrel=0
pkgdesc="An URL retrival utility and library"
url="http://curl.haxx.se"
@@ -15,6 +15,8 @@ source="http://curl.haxx.se/download/$pkgname-$pkgver.tar.bz2"
subpackages="$pkgname-doc $pkgname-dev libcurl"
# secfixes:
+# 7.50.2:
+# - CVE-2016-7141
# 7.50.1:
# - CVE-2016-5419
# - CVE-2016-5420
@@ -23,19 +25,10 @@ subpackages="$pkgname-doc $pkgname-dev libcurl"
# - CVE-2014-0138
# - CVE-2014-0139
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir="$srcdir/$pkgname-$pkgver"
build() {
- cd "$_builddir"
+ cd "$builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -51,8 +44,8 @@ build() {
}
package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
+ make DESTDIR="$pkgdir" \
+ -C "$builddir" install || return 1
}
libcurl() {
@@ -61,6 +54,6 @@ libcurl() {
mv "$pkgdir"/usr/lib "$subpkgdir"/usr
}
-md5sums="015f6a0217ca6f2c5442ca406476920b curl-7.50.1.tar.bz2"
-sha256sums="3c12c5f54ccaa1d40abc65d672107dcc75d3e1fcb38c267484334280096e5156 curl-7.50.1.tar.bz2"
-sha512sums="94acd91fcf8ff2605e1ba2d086c2c366257b61eaf516b9ea44e574e315feb5b30f6e47d89051f259e026ef5dd9edde5f7b15a6af9ee6a38f641da354e1e677b1 curl-7.50.1.tar.bz2"
+md5sums="6e161179f7af4b9f8b6ea21420132719 curl-7.50.2.tar.bz2"
+sha256sums="0c72105df4e9575d68bcf43aea1751056c1d29b1040df6194a49c5ac08f8e233 curl-7.50.2.tar.bz2"
+sha512sums="5db4fba920f1627e545ddf774ceaafe3afce43c85aaa8aa7842337fe6cbc031aa597d9d80457c5d52bc7a0c218de30bb29802383e1d81e3f220186212dade342 curl-7.50.2.tar.bz2"